#!/bin/sh

if [ -z "$1" ]
then
	echo "USAGE: ./publish.sh VERSION"
	echo "   VERSION - the version suffix to append. Normally of the form vx"
	exit 0
fi

YEAR=sp09
VER=$1
ZIPNAME=cs184_$VER.zip 
EXPORTDIR=_cs184_framework_export_
SERVER=cory.cs.berkeley.edu

echo "Exporting framework to website as $VER..."
svn export svn+ssh://cs184@$SERVER/home/ff/cs184/svnrepos/framework $EXPORTDIR && \
cd $EXPORTDIR && \
zip -r $ZIPNAME * && \
mv $ZIPNAME doc/ && \
cd doc/ && \
scp *.html *.zip cs184@$SERVER:/home/ff/cs184/public_html/$YEAR/framework/ && \
cd ../../ && \
rm -rf $EXPORTDIR
